org.apache.lucene.util.automaton

## Class MinimizationOperations

- java.lang.Object
- - org.apache.lucene.util.automaton.MinimizationOperations

-     public final class MinimizationOperations
      extends Object

  Operations for minimizing automata.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Automaton` | `minimize(Automaton a, int maxDeterminizedStates)` Minimizes (and determinizes if not already deterministic) the given automaton using Hopcroft's algorighm.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### minimize

          public static Automaton minimize(Automaton a,
                                           int maxDeterminizedStates)

      Minimizes (and determinizes if not already deterministic) the given automaton using Hopcroft's algorighm.
      Parameters:
        `maxDeterminizedStates` - maximum number of states determinizing the automaton can result in. Set higher to allow more complex queries and lower to prevent memory exhaustion.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.